artdaq - Feature #20388

Create one or more simple_test_configs that are as similar to protoDUNE DAQ that we can get and
stress test them on the Mu2e Pilot cluster

07/21/2018 05:35 PM - Kurt Biery

Status: Work in progress Start date: 07/21/2018
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Experiment: - Co-Assignees:

Description
It should have as many BoardReaders as is feasible, 8-16 EventBuilders, a Dispatcher, and online monitoring.

It should use as many Mu2edagq cluster nodes as is feasible, ideally 4-6 or more.
It should include the RoutingMaster.

It should support 100MB+ events at tens of Hz.

Stress tests should include:

running for days

starting and stopping runs without reconfiguring, for days

times of extreme backpressure

instances of BoardReaders dropping out

killing (or sigstop-ing) a BoardReader process and seeing that the system continues to run, and Stops (end-run) cleanly
killing and/or stopping an EventBuilder process and seeing that the system continues to run, and Stops (end-run) cleanly

History

#1 - 07/21/2018 05:35 PM - Kurt Biery

- Subject changed from Create a simple_test_config that is as similar to protoDUNE DAQ that we can get and stress test it on the MuZ2e Pilot cluster
to Create one or more simple_test_configs that are as similar to protoDUNE DAQ that we can get and stress test them on the Mu2e Pilot cluster

#2 - 07/21/2018 06:24 PM - Kurt Biery

- Tracker changed from Bug to Feature

#3 - 07/23/2018 09:17 PM - Kurt Biery
- Priority changed from Normal to High

#4 - 07/25/2018 01:34 PM - Ron Rechenmacher

At this point the simple_test_config/mediumsystem_with_routing_master is the primary "simple config"

#5 - 08/01/2018 01:56 PM - Kurt Biery

- Status changed from New to Work in progress

branch in artdaq_daginterface called mu2edaq_stresstest

the simple_config name is protodune_mock_system.

24 components ( 1 in push, 4kfragments; even numbered components 1 MB, rest 15 MB fragments)
16 EBs

Routing Master

25 Hz

total rate of 5000 MB/s ; will saturate 4 EB nodes

no disk writing

without disk writing, there should be no back-pressure in this system.
